> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md).

# MatrixOrder

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the order for matrix transform operations.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MatrixOrder : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MatrixOrder As [Enum]
```

{% endtab %}
{% endtabs %}

Matrix transform operations are not necessarily commutative. The order in which they are applied is important.

## Fields

| Name        | Description                                            |
| ----------- | ------------------------------------------------------ |
| **Append**  | The new operation is applied after the old operation.  |
| **Prepend** | The new operation is applied before the old operation. |

## Used By

| Name                                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| -------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Graphics.RotateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)               | Applies the specified rotation to the transformation matrix of this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md) in the specified order.                                                                                                                                                                                                                                                                 |
| [Graphics.ScaleTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                | Applies the specified scaling operation to the transformation matrix of this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md) by prepending it to the object's transformation matrix.                                                                                                                                                                                                                        |
| [Graphics.TranslateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)            | Changes the origin of the coordinate system by prepending the specified translation to the transformation matrix of this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md).                                                                                                                                                                                                                                   |
| [TextureBrush.MultiplyTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)         | Multiplies the [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) object that represents the local geometric transformation of this [TextureBrush](/system.drawing.managed/api/system.drawing/system.drawing.texturebrush.md) object by the specified [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) object in the specified order.         |
| [TextureBrush.TranslateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)        | Translates the local geometric transformation of this [TextureBrush](/system.drawing.managed/api/system.drawing/system.drawing.texturebrush.md) object by the specified dimensions in the specified order.                                                                                                                                                                                                                                    |
| [TextureBrush.ScaleTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)            | Scales the local geometric transformation of this [TextureBrush](/system.drawing.managed/api/system.drawing/system.drawing.texturebrush.md) object by the specified amounts in the specified order.                                                                                                                                                                                                                                           |
| [TextureBrush.RotateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)           | Rotates the local geometric transformation of this [TextureBrush](/system.drawing.managed/api/system.drawing/system.drawing.texturebrush.md) object by the specified amount in the specified order.                                                                                                                                                                                                                                           |
| [LinearGradientBrush.MultiplyTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)  | Multiplies the [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) that represents the local geometric transform of this [LinearGradientBrush](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.lineargradientbrush.md) by the specified [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) in the specified order. |
| [LinearGradientBrush.TranslateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md) | Translates the local geometric transform by the specified dimensions in the specified order.                                                                                                                                                                                                                                                                                                                                                  |
| [LinearGradientBrush.ScaleTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)     | Scales the local geometric transform by the specified amounts in the specified order.                                                                                                                                                                                                                                                                                                                                                         |
| [LinearGradientBrush.RotateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)    | Rotates the local geometric transform by the specified amount in the specified order.                                                                                                                                                                                                                                                                                                                                                         |
| [Matrix.Multiply](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                        | Multiplies this [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) by the matrix specified in the matrix parameter, and in the order specified in the order parameter.                                                                                                                                                                                                                         |
| [Matrix.Rotate](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                          | Applies a clockwise rotation of an amount specified in the angle parameter, around the origin (zero x and y coordinates) for this [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md).                                                                                                                                                                                                          |
| [Matrix.RotateAt](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                        | Applies a clockwise rotation about the specified point to this [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) in the specified order.                                                                                                                                                                                                                                                      |
| [Matrix.Scale](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                           | Applies the specified scale vector (scaleX and scaleY) to this [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) using the specified order.                                                                                                                                                                                                                                                   |
| [Matrix.Shear](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                           | Applies the specified shear vector to this [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) in the specified order.                                                                                                                                                                                                                                                                          |
| [Matrix.Translate](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)                       | Applies the specified translation vector to this [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) in the specified order.                                                                                                                                                                                                                                                                    |
| [PathGradientBrush.MultiplyTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)    | Multiplies the [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) that represents the local geometric transform of this [LinearGradientBrush](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.lineargradientbrush.md) by the specified [Matrix](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrix.md) in the specified order. |
| [PathGradientBrush.TranslateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)   | Translates the local geometric transform by the specified dimensions in the specified order.                                                                                                                                                                                                                                                                                                                                                  |
| [PathGradientBrush.ScaleTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)       | Scales the local geometric transform by the specified amounts in the specified order.                                                                                                                                                                                                                                                                                                                                                         |
| [PathGradientBrush.RotateTransform](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md)      | Rotates the local geometric transform by the specified amount in the specified order.                                                                                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.matrixorder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
